import type { JsonFormsInterface, ToolContext, ToolInterface } from "../models";
import { VerticalLayout } from "./layoutTool";
export declare class GroupTool extends VerticalLayout {
    optionDataPrepare(context: ToolContext): Record<string, any>;
    optionDataUpdate(context: ToolContext, data: Record<string, any>): void;
    optionJsonforms(context: ToolContext): Promise<JsonFormsInterface | undefined>;
    clone(): ToolInterface;
    toolbarOptions(): Record<string, any>;
}
export declare const groupTool: GroupTool;
